div.historyOfMealsBody {
    /*margin-top: 5%;*/
}

p.historyOfMealsName {
    text-align: center;
    font-size: 3em;
}

button.historyOfMealPageNumberButton {
    margin-right: 10px;
}

img.historyOfMealResetSearchIcon {
    width: 50%;
    height: 65%;
    margin-bottom: 10%;
}

button.historyOfMealButton {
    padding: 0;
    margin: 0;
    box-shadow: 5px 5px grey;
}

button.historyOfMealPageNumberButton {
    /*margin-top: 60%;*/
    /*font-size: 1em;*/
}

button.historyOfMealCurrentPageNumberButton {
    color: red;
}

button.historyOfMealPageButton {
    width: 10%;
    margin-top: 5%;
    margin-right: 3%;
    font-size: 1.8em;
}

button.historyOfMealButton:focus {
    box-shadow: 5px 5px grey;
}

td.historyOfMealTd {

}

td.historyOfMealNameInput{
    width: 45%;
    padding: 1%;
}

td.historyOfMealLastDayInput{
    width: 30%;
    padding: 1%;
}

td.historyOfMealPageSizeInput{
    width: 30%;
    padding: 1%;
}

input.historyOfMealInput {
    font-size: 1.8em;
    width: 100%;
}

td.historyOfMealSearchTd {
    text-align: center;
    padding-top: 2%;
    padding-bottom: 5%;
    padding-left: 33%;
    /*padding-right: 15%;*/
    width: 50%;
}

td.historyOfMealResetSearchTd {
    text-align: center;
    padding-top: 2%;
    padding-bottom: 5%;
    /*padding-left: 15%;*/
    padding-right: 33%;
    width: 50%;
    text-align: right;
}

button.historyOfMealSearchButton {
    font-size: 1.8em;
    width: 100%;
}

table.historyOfMealTable {
    /*margin: auto;*/
    /*padding-left: 20%;*/
    /*padding-right: 20%;*/
    width: 100%;
}

tr.historyOfMealTr {
    background-color: grey;
    color: white;
    font-size: 1.6em;
}

th.historyOfMealCenter, td.historyOfMealCenter {
    border: 1px solid black;
    text-align: center;
    width: 200px;
}

th.historyOfMealMealLastDay, td.historyOfMealMealLastDay {
    border: 1px solid black;
    text-align: center;
    width: 30%;
}

button.historyOfMealBackButton {
    margin-top: 5%;
    font-size: 1.8em;
    width: 50%;
}

div.historyOfMealTableName {
    margin-left: 5%;
    margin-right: 5%;
    font-size: 1.4em;
}

button.historyOfMealResetSearchButton {
    padding: 0;
    margin: 0;
    box-shadow: 5px 5px grey;
    width: 65px;
}

button.historyOfMealResetSearchButton:focus {
    box-shadow: 5px 5px grey;
}

select.historyOfMealSelect {
    background-image: url("/statics/dropdownArrow.png");
    background-position:
            calc(100% - 0px) -20px,
            calc(100% - 20px) 0px,
            100% 0;
    background-size:
            90px 90px,
            10px 10px;
    background-repeat: no-repeat;
    font-size: 1.8em;
    -webkit-appearance: none;
    -moz-appearance: none;
}

table {
    border-spacing: 5px;
}

th.historyOfMealNormal, td.historyOfMealNormal {
    border: 1px solid black;
}

th.historyOfMealCenter, td.historyOfMealCenter {
    border: 1px solid black;
    text-align: center;
    width: 70%;
}

input.historyOfMealsSearch {
    margin-right: 10px;
    margin-left: 5px;
    width: 150px;
}

input.historyOfMealCenter {
    text-align: center;
}

select.historyOfMealsSearch {
    margin-right: 10px;
    margin-left: 5px;
    width: 65px;
}

button.historyOfMealsSearch {
    font-size: 1em;
    margin-bottom: 20%;
}

p.title {
    margin-left: 5px;
}

.modal {
    display: none;
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0, 0, 0); /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}

.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

label.listOfMealsLabel {
    font-size: 1.8em;
}

td.historyOfMealsLastDayTable{
    font-size: 1.4em;
}

td.listOfMealsBackTd {
    text-align: center;
}

div.historyOfMealsMealHeader {
    height: 3%;
}

div.historyOfMealsFooter {
    height: 10%;
}